local L = AceLibrary("AceLocale-2.2"):new("Bartender3")

Bartender3.options = {
	type = "group",
	args = {
		lock = {
			order = 1,
			name = "Lock", 
			type = "toggle",
			desc = "Toggle the lock of the action bars.",
			get = function() return not Bartender3.unlock end,
			set = function(v)
				if Bartender3.unlock then
					Bartender3:Lock()
				else
					Bartender3:Unlock()
				end
			end,
			disabled = function() return InCombatLockdown() end,
		},
		stancebar = {
			order = 30,
			name = "Stance Bar",
			type = "group",
			desc = "Configuration for the Stance Bar.",
			args = {
				hide = {
					order = 1,
					name = "Hide",
					type = "toggle",
					desc = "Hide the Stance Bar.",
					get = function() return Bartender3.db.profile.SpecialBars["STANCE"].Hide end,
					set = function() Bartender3.specialbars["STANCE"]:ToggleHide() end,
					disabled = function() return InCombatLockdown() end,
				},
			}
		},
	},
}

Bartender3:RegisterChatCommand({ "/bar", "/bartender3", "/bt3" }, Bartender3.options )
Bartender3.options.args.standby = nil
